using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
namespace ConfigurationCoreTests.Configuration
{
    public class CarSettings:SerializableConfigurationSection 
    {
        private const string carData = "Car";

        public CarSettings():base()
        { 
        }

        public CarSettings(CarData data)
        {
            this.Car = data; 
        }

        [ConfigurationProperty("Car", IsRequired = true)]
        public CarData  Car
        {
            get
            {
                return (CarData)this[carData];
            }
            set
            {
                this[carData] = value;
            }
        }

    }
}
